# Constant Field Values

## Contents

- org.jfree.*

## org.jfree.*

org.jfree.report.JFreeReportCoreModule
Modifier and Type
Constant Field
Value
`public static final String`
`FONTRENDERER_ISBUGGY_FRC_KEY`
`"org.jfree.report.layout.fontrenderer.IsBuggyFRC"`
`public static final String`
`FONTRENDERER_USEALIASING_KEY`
`"org.jfree.report.layout.fontrenderer.UseAliasing"`
`public static final String`
`NO_PRINTER_AVAILABLE_KEY`
`"org.jfree.report.NoPrinterAvailable"`
`public static final String`
`STRICT_ERROR_HANDLING_KEY`
`"org.jfree.report.StrictErrorHandling"`
org.jfree.report.JFreeReportInfo
Modifier and Type
Constant Field
Value
`public static final String`
`COMPATIBILITY_NAMESPACE`
`"http://jfreereport.sourceforge.net/namespaces/engine/compatibility"`
`public static final String`
`REPORT_NAMESPACE`
`"http://jfreereport.sourceforge.net/namespaces/engine"`
org.jfree.report.ReportData
Modifier and Type
Constant Field
Value
`public static final int`
`BEFORE_FIRST_ROW`
`0`

org.jfree.report.data.MasterDataRowChangeEvent
Modifier and Type
Constant Field
Value
`public static final int`
`COLUMN_ADDED`
`1`
`public static final int`
`COLUMN_REMOVED`
`2`
`public static final int`
`COLUMN_UPDATED`
`3`

org.jfree.report.event.ReportProgressEvent
Modifier and Type
Constant Field
Value
`public static final int`
`COMPUTING_LAYOUT`
`0`
`public static final int`
`GENERATING_CONTENT`
`3`
`public static final int`
`PAGINATING`
`2`
`public static final int`
`PRECOMPUTING_VALUES`
`1`

org.jfree.report.flow.layoutprocessor.ElementLayoutController
Modifier and Type
Constant Field
Value
`public static final int`
`FINISHED`
`4`
`public static final int`
`FINISHING`
`3`
`public static final int`
`NOT_STARTED`
`0`
`public static final int`
`OPENED`
`1`
`public static final int`
`WAITING_FOR_JOIN`
`2`
org.jfree.report.flow.layoutprocessor.StaticTextLayoutController
Modifier and Type
Constant Field
Value
`public static final int`
`FINISHED`
`2`
`public static final int`
`NOT_STARTED`
`0`

org.jfree.report.i18n.ResourceBundleFactory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY`
`"org.jfree.report.ResourceBundle"`

org.jfree.report.modules.factories.data.beans.StaticDataFactoryModule
Modifier and Type
Constant Field
Value
`public static final String`
`NAMESPACE`
`"http://jfreereport.sourceforge.net/namespaces/datasources/static"`

org.jfree.report.modules.factories.data.sql.SQLDataFactoryModule
Modifier and Type
Constant Field
Value
`public static final String`
`NAMESPACE`
`"http://jfreereport.sourceforge.net/namespaces/datasources/sql"`

org.jfree.report.modules.factories.report.flow.FlowReportFactoryModule
Modifier and Type
Constant Field
Value
`public static final String`
`NAMESPACE`
`"http://jfreereport.sourceforge.net/namespaces/reports/flow"`

org.jfree.report.modules.gui.common.GuiCommonModule
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_BASE_NAME`
`"org.jfree.report.modules.gui.common.resources"`

org.jfree.report.modules.gui.swing.common.AbstractActionPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_RESOURCE_CLASS`
`"org.jfree.report.modules.gui.common.resources"`
org.jfree.report.modules.gui.swing.common.EncodingComboBoxModel
Modifier and Type
Constant Field
Value
`public static final String`
`AVAILABLE_ENCODINGS`
`"org.jfree.report.modules.gui.base.EncodingsAvailable"`
`public static final String`
`AVAILABLE_ENCODINGS_ALL`
`"all"`
`public static final String`
`AVAILABLE_ENCODINGS_FILE`
`"file"`
`public static final String`
`AVAILABLE_ENCODINGS_NONE`
`"none"`
`public static final String`
`BUNDLE_NAME`
`"org.jfree.report.modules.gui.swing.common.encoding-names"`
`public static final String`
`ENCODINGS_DEFINITION_FILE`
`"org.jfree.report.modules.gui.base.EncodingsFile"`
`public static final String`
`ENCODINGS_DEFINITION_FILE_DEFAULT`
`"org/jfree/report/modules/gui/swing/common/jfreereport-encodings.properties"`
org.jfree.report.modules.gui.swing.common.JStatusBar
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_ERROR`
`3`
`public static final int`
`TYPE_INFORMATION`
`1`
`public static final int`
`TYPE_NONE`
`0`
`public static final int`
`TYPE_WARNING`
`2`
org.jfree.report.modules.gui.swing.common.SwingCommonModule
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAME`
`"org.jfree.report.modules.gui.swing.common.resources"`
`public static final String`
`LARGE_ICON_PROPERTY`
`"Icon24"`

org.jfree.report.modules.gui.swing.common.action.AbstractActionDowngrade
Modifier and Type
Constant Field
Value
`public static final String`
`ACCELERATOR_KEY`
`"AcceleratorKey"`
`public static final String`
`MNEMONIC_KEY`
`"MnemonicKey"`
org.jfree.report.modules.gui.swing.common.action.ActionDowngrade
Modifier and Type
Constant Field
Value
`public static final String`
`ACCELERATOR_KEY`
`"AcceleratorKey"`
`public static final String`
`MNEMONIC_KEY`
`"MnemonicKey"`

org.jfree.report.modules.gui.swing.html.SwingHtmlModule
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAME`
`"org.jfree.report.modules.gui.swing.html.resources"`

org.jfree.report.modules.gui.swing.pdf.SwingPdfModule
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAME`
`"org.jfree.report.modules.gui.swing.pdf.resources"`

org.jfree.report.modules.gui.swing.preview.PreviewPane
Modifier and Type
Constant Field
Value
`public static final String`
`CLOSED_PROPERTY`
`"closed"`
`public static final String`
`ICON_THEME_PROPERTY`
`"iconTheme"`
`public static final String`
`MENU_PROPERTY`
`"menu"`
`public static final String`
`NUMBER_OF_PAGES_PROPERTY`
`"numberOfPages"`
`public static final String`
`PAGE_NUMBER_PROPERTY`
`"pageNumber"`
`public static final String`
`PAGINATING_PROPERTY`
`"paginating"`
`public static final String`
`REPORT_CONTROLLER_PROPERTY`
`"reportController"`
`public static final String`
`REPORT_JOB_PROPERTY`
`"reportJob"`
`public static final String`
`STATUS_TEXT_PROPERTY`
`"statusText"`
`public static final String`
`STATUS_TYPE_PROPERTY`
`"statusType"`
`public static final String`
`TITLE_PROPERTY`
`"title"`
`public static final String`
`ZOOM_PROPERTY`
`"zoom"`
org.jfree.report.modules.gui.swing.preview.SwingPreviewModule
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAME`
`"org.jfree.report.modules.gui.swing.preview.resources"`

org.jfree.report.modules.gui.swing.printing.PrinterUtility
Modifier and Type
Constant Field
Value
`public static final String`
`NUMBER_COPIES_KEY`
`"org.jfree.report.modules.gui.common.print.NumberOfCopies"`
`public static final String`
`PRINTER_JOB_NAME_KEY`
`"org.jfree.report.modules.gui.common.print.JobName"`
org.jfree.report.modules.gui.swing.printing.SwingPrintingModule
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_NAME`
`"org.jfree.report.modules.gui.swing.printing.resources"`

org.jfree.report.modules.misc.autotable.AutoTableModule
Modifier and Type
Constant Field
Value
`public static final String`
`AUTOTABLE_NAMESPACE`
`"http://jfreereport.sourceforge.net/namespaces/reports/flow/extension/autotable"`

org.jfree.report.modules.misc.autotable.flow.AutoTableLayoutController
Modifier and Type
Constant Field
Value
`public static final int`
`HANDLING_DATA`
`1`
`public static final int`
`HANDLING_FOOTER`
`2`
`public static final int`
`HANDLING_HEADER`
`0`

org.jfree.report.modules.misc.tablemodel.JoiningTableModel
Modifier and Type
Constant Field
Value
`public static final String`
`TABLE_PREFIX_COLUMN`
`"TablePrefix"`
org.jfree.report.modules.misc.tablemodel.ResultSetTableModelFactory
Modifier and Type
Constant Field
Value
`public static final String`
`COLUMN_NAME_MAPPING_KEY`
`"org.jfree.report.modules.misc.tablemodel.ColumnNameMapping"`
`public static final String`
`RESULTSET_FACTORY_MODE`
`"org.jfree.report.modules.misc.tablemodel.TableFactoryMode"`

org.jfree.report.modules.preferences.base.ConfigFactory
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_TARGET_KEY`
`"org.jfree.report.ConfigStore"`

org.jfree.report.modules.preferences.filesystem.FileConfigStoreModuleInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`SYSTEM_BASEDIR_CONFIG_KEY`
`"org.jfree.report.modules.misc.configstore.filesystem.SystemTargetDir"`
`public static final String`
`USER_BASEDIR_CONFIG_KEY`
`"org.jfree.report.modules.misc.configstore.filesystem.UserTargetDir"`

org.jfree.report.structure.Element
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ATTRIBUTE`
`"id"`
`public static final String`
`NAME_ATTRIBUTE`
`"name"`
`public static final String`
`NAMESPACE_ATTRIBUTE`
`"namespace"`
`public static final String`
`TYPE_ATTRIBUTE`
`"type"`
`public static final String`
`VIRTUAL_ATTRIBUTE`
`"virtual"`

org.jfree.report.util.CSVTokenizer
Modifier and Type
Constant Field
Value
`public static final String`
`DOUBLE_QUATE`
`"\""`
`public static final String`
`SEPARATOR_COMMA`
`","`
`public static final String`
`SEPARATOR_SPACE`
`" "`
`public static final String`
`SEPARATOR_TAB`
`"\t"`
`public static final String`
`SINGLE_QUATE`
`"\'"`